# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common new_handlers new_service set_config
NULL

#' AmazonApiGatewayManagementApi
#'
#' @description
#' The Amazon API Gateway Management API allows you to directly manage
#' runtime aspects of your deployed APIs. To use it, you must explicitly
#' set the SDK\'s endpoint to point to the endpoint of your deployed API.
#' The endpoint will be of the form
#' https://\{api-id\}.execute-api.\{region\}.amazonaws.com/\{stage\}, or will be
#' the endpoint corresponding to your API\'s custom domain and base path,
#' if applicable.
#'
#' @param
#' config
#' Optional configuration of credentials, endpoint, and/or region.
#'
#' @section Service syntax:
#' ```
#' svc <- apigatewaymanagementapi(
#'   config = list(
#'     credentials = list(
#'       creds = list(
#'         access_key_id = "string",
#'         secret_access_key = "string",
#'         session_token = "string"
#'       ),
#'       profile = "string"
#'     ),
#'     endpoint = "string",
#'     region = "string"
#'   )
#' )
#' ```
#'
#' @examples
#' \donttest{svc <- apigatewaymanagementapi()
#' svc$delete_connection(
#'   Foo = 123
#' )}
#'
#' @section Operations:
#' \tabular{ll}{
#'  \link[=apigatewaymanagementapi_delete_connection]{delete_connection} \tab Delete the connection with the provided id \cr
#'  \link[=apigatewaymanagementapi_get_connection]{get_connection} \tab Get information about the connection with the provided id\cr
#'  \link[=apigatewaymanagementapi_post_to_connection]{post_to_connection} \tab Sends the provided data to the specified connection 
#' }
#'
#' @rdname apigatewaymanagementapi
#' @export
apigatewaymanagementapi <- function(config = list()) {
  svc <- .apigatewaymanagementapi$operations
  svc <- set_config(svc, config)
  return(svc)
}

# Private API objects: metadata, handlers, interfaces, etc.
.apigatewaymanagementapi <- list()

.apigatewaymanagementapi$operations <- list()

.apigatewaymanagementapi$metadata <- list(
  service_name = "apigatewaymanagementapi",
  endpoints = list("*" = list(endpoint = "apigatewaymanagementapi.{region}.amazonaws.com", global = FALSE), "cn-*" = list(endpoint = "apigatewaymanagementapi.{region}.amazonaws.com.cn", global = FALSE)),
  service_id = "ApiGatewayManagementApi",
  api_version = "2018-11-29",
  signing_name = "execute-api",
  json_version = "1.1",
  target_prefix = ""
)

.apigatewaymanagementapi$handlers <- new_handlers("restjson", "v4")

.apigatewaymanagementapi$service <- function(config = list()) {
  new_service(.apigatewaymanagementapi$metadata, .apigatewaymanagementapi$handlers, config)
}
